---
title: 'Feature-Policy: midi'
slug: Web/HTTP/Headers/Feature-Policy/midi
tags:
  - Directive
  - Feature Policy
  - Feature-Policy
  - HTTP
  - MIDI
  - Reference
---
<p>{{HTTPSidebar}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The HTTP {{HTTPHeader("Feature-Policy")}} header <code>midi</code> directive controls whether the current document is allowed to use the <a href="/en-US/docs/Web/API/Web_MIDI_API">Web MIDI API</a>. When this policy is enabled, the {{jsxref("Promise")}} returned by {{domxref("Navigator.requestMIDIAccess()")}} will reject with a <code>DOMException</code>.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Feature-Policy: midi &lt;allowlist&gt;;</pre>

<dl>
 <dt>&lt;allowlist&gt;</dt>
 <dd>{{page("Web/HTTP/Feature_Policy/Using_Feature_Policy", "allowlist")}}</dd>
</dl>

<h2 id="Default_policy">Default policy</h2>

<p>The allow list is <code>'self'</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Feature Policy')}}</td>
   <td>{{Spec2('Feature Policy')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("http.headers.Feature-Policy.midi")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Feature-Policy")}} header</li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy">Feature Policy</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy/Using_Feature_Policy">Using Feature Policy</a></li>
</ul>
